cURL
curl https://api.aiql.io/ingestions/ing_9d2c \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
ingestion = client.ingestions.get("ing_9d2c")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const ingestion = await client.ingestions.get("ing_9d2c");{
"id": "<string>",
"url": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"processing": {
"steps": {},
"progress": {},
"current_step": "<string>",
"percent_complete": 123
},
"name": "<string>",
"filename": "<string>",
"size": 123,
"mime_type": "<string>",
"metadata": {},
"schema": {
"classes": [
{
"name": "<string>",
"definition": "<string>",
"cardinality": "many"
}
],
"relationships": [
{
"name": "<string>",
"domain": [
"<string>"
],
"range": [
"<string>"
],
"definition": "<string>"
}
],
"properties": [
{
"name": "<string>",
"type": "<string>",
"domain": [
"<string>"
],
"definition": "<string>",
"values": [
"<string>"
]
}
]
},
"upload": {
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"method": "PUT",
"headers": {}
}
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Ingestions
Get Ingestion
GET
/
ingestions
/
{id}
cURL
curl https://api.aiql.io/ingestions/ing_9d2c \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
ingestion = client.ingestions.get("ing_9d2c")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const ingestion = await client.ingestions.get("ing_9d2c");{
"id": "<string>",
"url": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"processing": {
"steps": {},
"progress": {},
"current_step": "<string>",
"percent_complete": 123
},
"name": "<string>",
"filename": "<string>",
"size": 123,
"mime_type": "<string>",
"metadata": {},
"schema": {
"classes": [
{
"name": "<string>",
"definition": "<string>",
"cardinality": "many"
}
],
"relationships": [
{
"name": "<string>",
"domain": [
"<string>"
],
"range": [
"<string>"
],
"definition": "<string>"
}
],
"properties": [
{
"name": "<string>",
"type": "<string>",
"domain": [
"<string>"
],
"definition": "<string>",
"values": [
"<string>"
]
}
]
},
"upload": {
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"method": "PUT",
"headers": {}
}
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes